Subject: Re: bug#22860: [PATCH] vc-hg: prompt for branch to merge

From: Eli Zaretskii <[email-masked]>
Date: Tue, 26 Nov 2019 20:16:17 +0200

> From: Andrii Kolomoiets <[email-masked]>
> Date: Mon, 25 Nov 2019 23:55:16 +0200
> Cc: Eli Zaretskii <[email-masked]>,
>  [email-masked]
> 
> --- a/doc/emacs/maintaining.texi
> +++ b/doc/emacs/maintaining.texi
> @@ -1427,7 +1427,9 @@ Switching Branches
>  working tree to match the branch you switch to.  Bazaar also supports
>  co-located branches, in which case the @command{bzr switch} command
>  will switch branches in the current directory.  With Subversion, you
> -switch to another branch using the @command{svn switch} command.
> +switch to another branch using the @command{svn switch} command.  On
> +Mercurial, command @command{hg update} is used to swith to another
> +branch.

I suggest "with Mercurial", not "on Mercurial".

> @@ -1542,8 +1544,9 @@ Merging
>  the exact arguments to pass to @command{bzr merge}, offering a
>  sensible default if possible.  On Git, this prompts for the name of a
>  branch to merge from, with completion (based on the branch names known
> -to the current repository).  The output from running the merge command
> -is shown in a separate buffer.
> +to the current repository).  On Mercurial, this prompts for argument to

Likewise here.  (Yes, the Git sentence is also wrong.)

> +pass to @command{hg merge}. The output from running the merge command is
                             ^^
Two spaces between sentences, please.

> +*** The Hg (Mercurial) back-end now prompts for revision to merge on
> +'C-x v m' ('vc-merge').                                           ^^
    ^^^^^^^^
"when you invoke 'C-x v m'"

> +*** The Hg (Mercurial) back-end now use tags, branches and bookmarks
> +instead of revision numbers as completion candidates on reading revision.
                                                        ^^^^^^^^^^^^^^^^^^^
"when it prompts for a revision"

Thanks.